// CodeMirror, copyright (c) by Marijn Haverbeke and others
// Distributed under an MIT license: http://codemirror.net/LICENSE
"use strict";

const CodeMirror = require('codemirror/lib/codemirror.js');
const rdf = require('./Rdf');

CodeMirror.registerHelper('hint','wikidata',(editor) => {
  const lineContent = editor.getLine(editor.getCursor().line);
  const cursorPos = editor.getCursor().ch;
  const lineNum = editor.getCursor().line;
  return rdf(lineContent,lineNum,cursorPos).then((hint) => {
    console.log("return hints");
    hint.from = CodeMirror.Pos(hint.from.line, hint.from.char);
    hint.to = CodeMirror.Pos(hint.to.line, hint.to.char);
    return hint;
  });
});
CodeMirror.hint.wikidata.async = true;
